from pathlib import Path

ENERGYPLUS_INSTALL_DIR = Path('D:\Programme\EnergyPlus')
ENERGYPLUS_VERSION = '23.1'

CD = Path(__file__).parents[2] / 'results' / 'e2_calibration'
MODEL_PATH = Path(__file__).parents[0] / 'ExampleHOM_BESMod_Density_V2310.idf'
WEATHER_PATH = Path(__file__).parents[0] / 'Potsdam_TRY2015.epw'
ENERGYPLUS_VERSION = "23.1"

SIMULATION_SETUP = {"dataframe_interval": "Hourly",
                    "sim_intervals": [
                        '2015-01-01 to 2015-02-01'
                    ],
                    "evaluation_intervals": [
                        '2015-01-01 to 2015-02-01'
                    ]}
TUNER_PARAMS = {
    "ZoneInfiltration:DesignFlowRate/BGVPLnC4OUeqffvCvT6TTQ/air_changes_per_hour": 
        (0.2, (0.1, 0.3)),
    "ZoneInfiltration:DesignFlowRate/E4XJpmy03kW3qfdfjVrPLA/air_changes_per_hour": 
        (0.2, (0.1, 0.3)),
    "ZoneInfiltration:DesignFlowRate/IfKJfrdT40ehbMFAOP2OHQ/air_changes_per_hour": 
        (0.2, (0.1, 0.3))
}

GOALS = ['Heating:EnergyTransfer [J](Hourly)']
GOAL_VAR_CONVERT_DICT = {'Heating:EnergyTransfer [J](Hourly)': 'heating_measurement'}
ERROR_METRIC = 'RMSE'

FRAMEWORK = 'pymoo'
METHOD = 'ga'

N_CPU = 2
MAX_TIME = (60)